---
apiVersion: v1
kind: Service
metadata:
  annotations:
    config.kubernetes.io/origin: |
      configuredIn: base/kustomization.yaml
      configuredBy:
        apiVersion: builtin
        kind: HelmChartInflationGenerator
  labels:
    app.kubernetes.io/component: service-device-registry
    app.kubernetes.io/instance: hono
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: hono
    app.kubernetes.io/version: 2.1.1
    helm.sh/chart: hono-2.1.5
  name: hono-service-device-registry-ext
  namespace: hono
spec:
  ports:
  - name: http
    port: 28080
    protocol: TCP
    targetPort: http
  - name: https
    port: 28443
    protocol: TCP
    targetPort: https
  selector:
    app.kubernetes.io/component: service-device-registry
    app.kubernetes.io/instance: hono
    app.kubernetes.io/name: hono
  type: LoadBalancer
